OGRE-Next: Ogre::v1::OldNode::Listener Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::OldNode::Listener Class Reference

Listener which gets called back on OldNode events. More...

`#include <OgreOldNode.h>`

## Public Member Functions
| Listener ()
virtual | ~Listener ()
virtual void | OldNodeAttached (const OldNode *)
| OldNode has been attached to a parent.
virtual void | OldNodeDestroyed (const OldNode *)
| OldNode is being destroyed.
virtual void | OldNodeDetached (const OldNode *)
| OldNode has been detached from a parent.
virtual void | OldNodeUpdated (const OldNode *)
| Called when a OldNode gets updated.

## Detailed Description

Listener which gets called back on OldNode events.

## Constructor & Destructor Documentation

## ◆ Listener()

Ogre::v1::OldNode::Listener::Listener | ( |  | ) |
| inline

## ◆ ~Listener()

virtual Ogre::v1::OldNode::Listener::~Listener | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ OldNodeAttached()

virtual void Ogre::v1::OldNode::Listener::OldNodeAttached | ( | const OldNode * |  | ) |
| inlinevirtual

OldNode has been attached to a parent.

References Ogre::v1::OldNode::OldNode().

## ◆ OldNodeDestroyed()

virtual void Ogre::v1::OldNode::Listener::OldNodeDestroyed | ( | const OldNode * |  | ) |
| inlinevirtual

OldNode is being destroyed.

References Ogre::v1::OldNode::OldNode().

## ◆ OldNodeDetached()

virtual void Ogre::v1::OldNode::Listener::OldNodeDetached | ( | const OldNode * |  | ) |
| inlinevirtual

OldNode has been detached from a parent.

References Ogre::v1::OldNode::OldNode().

## ◆ OldNodeUpdated()

virtual void Ogre::v1::OldNode::Listener::OldNodeUpdated | ( | const OldNode * |  | ) |
| inlinevirtual

Called when a OldNode gets updated.

Remarks
  Note that this happens when the OldNode's derived update happens, not every time a method altering it's state occurs. There may be several state-changing calls but only one of these calls, when the OldNode graph is fully updated.

References Ogre::v1::OldNode::OldNode().

The documentation for this class was generated from the following file:

- OgreOldNode.h